Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Interface DragGestureListener

All Superinterfaces:
  EventListener

public interface DragGestureListener
extends EventListener

This interface is sourced from a `DragGestureRecognizer` and is invoked when an object of that (sub)class detects a drag initiating gesture.

The implementor of this interface is responsible for starting the drag as a result of receiving such notification.

See Also:
  `DragGestureRecognizer`, `DragGestureEvent`, `DragSource`

Method Summary
`void` | `dragGestureRecognized(DragGestureEvent dge)` A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

Method Detail

### dragGestureRecognized

    public void dragGestureRecognized(DragGestureEvent dge)

  A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

  Parameters:
    `dge` - the `DragGestureEvent` describing the gesture that has just occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.